XFcAdvertiser class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcAdvertiser Class Reference

XFcAdvertiser is base class for service adverticement. More...

Inheritance diagram for XFcAdvertiser:

[legend]
List of all members.

## Public Member Functions

virtual XFCIMPORT | ~XFcAdvertiser ()
| Virtual destructor.
XFCIMPORT INT | getType () const
| Gets advertiser type.
virtual XFCIMPORT void | setGamePort (UINT16 aGamePort)
| Set game play port.
virtual XFCIMPORT UINT16 | getGamePort () const
| Get game play port.
virtual XFCIMPORT INT | setMessageHeader (const CHAR8 *aHeader, INT32 aLength)
| Sets message header, e.g. "X-Forge Game: GeoPod".
virtual XFCIMPORT void | getMessageHeader (CHAR8 *aHeader, INT32 &aLength) const
| Gets message header, e.g. "X-Forge Game: GeoPod".
virtual XFCIMPORT INT | setMessageData (const CHAR8 *aData, INT32 aLength)
| Sets other data to message.
virtual XFCIMPORT void | getMessageData (CHAR8 *aData, INT32 &aLength) const
| Gets other message data.
XFCIMPORT void | setAdvertisePort (UINT16 aAdvertisePort)
| Set advertiser port, not used with bt.
virtual XFCIMPORT INT | isAddress () const
| Test if address is set.
XFCIMPORT UINT16 | getAdvertisePort () const
| Get advertiser port.

## Public Attributes

XFCIMPORT INT32 | mMessageLength
| Advertise message length.
XFCIMPORT CHAR8 | mMessage [XFC_MAXBUFFERSIZE]
| Advertise message.

## Protected Member Functions

INT | init (INT aType)
| Initialises advertiser with advertiser type.
XFCIMPORT | XFcAdvertiser ()
| Protected constructor.

## Protected Attributes

UINT16 | mGamePort
| Holds game port, will advertise this as game server port.
UINT16 | mAdvertisePort
| Holds advertise port, inet advertiser can be found in this port.
INT32 | mHeaderLength
| Holds header length.
INT32 | mDataLength
| Holds data length.

## Private Attributes

INT | mType
| Holds advertiser type.

## Detailed Description

XFcAdvertiser is base class for service adverticement.

Its used to hold advertice information that is needed to advertice used server.

## Constructor & Destructor Documentation

XFCIMPORT XFcAdvertiser::XFcAdvertiser | ( |  | ) | `[protected]`

| Protected constructor.

virtual XFCIMPORT XFcAdvertiser::~XFcAdvertiser | ( |  | ) | `[virtual]`

| Virtual destructor.

## Member Function Documentation

XFCIMPORT UINT16 XFcAdvertiser::getAdvertisePort | ( |  | ) | const

| Get advertiser port.

virtual XFCIMPORT UINT16 XFcAdvertiser::getGamePort | ( |  | ) | const`[virtual]`

| Get game play port. Reimplemented in XFcInetAdvertiser.

virtual XFCIMPORT void XFcAdvertiser::getMessageData | ( | CHAR8 * | aData,
|  | INT32 & | aLength
| ) | const`[virtual]`

| Gets other message data. Reimplemented in XFcInetAdvertiser.

virtual XFCIMPORT void XFcAdvertiser::getMessageHeader | ( | CHAR8 * | aHeader,
|  | INT32 & | aLength
| ) | const`[virtual]`

| Gets message header, e.g. "X-Forge Game: GeoPod". Reimplemented in XFcInetAdvertiser.

XFCIMPORT INT XFcAdvertiser::getType | ( |  | ) | const

| Gets advertiser type.

INT XFcAdvertiser::init | ( | INT | aType | ) | `[protected]`

| Initialises advertiser with advertiser type.

virtual XFCIMPORT INT XFcAdvertiser::isAddress | ( |  | ) | const`[virtual]`

| Test if address is set. Reimplemented in XFcBtAdvertiser, and XFcInetAdvertiser.

XFCIMPORT void XFcAdvertiser::setAdvertisePort | ( | UINT16 | aAdvertisePort | ) |

| Set advertiser port, not used with bt.

virtual XFCIMPORT void XFcAdvertiser::setGamePort | ( | UINT16 | aGamePort | ) | `[virtual]`

| Set game play port. Reimplemented in XFcInetAdvertiser.

virtual XFCIMPORT INT XFcAdvertiser::setMessageData | ( | const CHAR8 * | aData,
|  | INT32 | aLength
| ) | `[virtual]`

| Sets other data to message. Reimplemented in XFcInetAdvertiser.

virtual XFCIMPORT INT XFcAdvertiser::setMessageHeader | ( | const CHAR8 * | aHeader,
|  | INT32 | aLength
| ) | `[virtual]`

| Sets message header, e.g. "X-Forge Game: GeoPod". Reimplemented in XFcInetAdvertiser.

## Member Data Documentation

UINT16 XFcAdvertiser::mAdvertisePort`[protected]`

| Holds advertise port, inet advertiser can be found in this port.

INT32 XFcAdvertiser::mDataLength`[protected]`

| Holds data length.

UINT16 XFcAdvertiser::mGamePort`[protected]`

| Holds game port, will advertise this as game server port.

INT32 XFcAdvertiser::mHeaderLength`[protected]`

| Holds header length.

XFCIMPORT CHAR8 XFcAdvertiser::mMessage[XFC_MAXBUFFERSIZE]

| Advertise message.

XFCIMPORT INT32 XFcAdvertiser::mMessageLength

| Advertise message length.

INT XFcAdvertiser::mType`[private]`

| Holds advertiser type.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch